import { Source } from '../component';
export interface HttpConfig {
    uri: string;
    options?: RequestInit;
}
/**
 * HttpMp4
 *
 * Stream MP4 data over HTTP/S, and use Axis-specific
 * headers to determine MIME type and stream transformation.
 */
export declare class HttpMp4Source extends Source {
    uri: string;
    options?: RequestInit;
    length?: number;
    onHeaders?: (headers: Headers) => void;
    onServerClose?: () => void;
    private _reader?;
    private _abortController?;
    private _allDone;
    /**
     * Create an HTTP component.
     *
     * The constructor sets a single readable stream from a fetch.
     */
    constructor(config: HttpConfig);
    play(): void;
    abort(): void;
    _isClosed(): boolean;
    _close(): void;
    _pull(): void;
}
