import { Source } from '../component';
export interface HttpConfig {
    uri: string;
    options?: RequestInit;
}
export declare class HttpSource extends Source {
    uri: string;
    options?: RequestInit;
    length?: number;
    onHeaders?: (headers: Headers) => void;
    onServerClose?: () => void;
    private _reader?;
    private _abortController?;
    private _allDone;
    /**
     * Create an HTTP component.
     *
     * The constructor sets a single readable stream from a fetch.
     */
    constructor(config: HttpConfig);
    play(): void;
    abort(): void;
    _isClosed(): boolean;
    _close(): void;
    _pull(): void;
}
