export interface WSConfig {
    host?: string;
    scheme?: string;
    uri?: string;
    tokenUri?: string;
    protocol?: string;
    timeout?: number;
}
/**
 * Open a new WebSocket, fallback to token-auth on failure and retry.
 * @param  [config]  WebSocket configuration.
 * @param  [config.host]  Specify different host
 * @param  [config.sheme]  Specify different scheme.
 * @param  [config.uri]  Full uri for websocket connection
 * @param  [config.tokenUri]  Full uri for token API
 * @param  [config.protocol] Websocket protocol
 * @param  [config.timeout] Websocket connection timeout
 */
export declare const openWebSocket: (config?: WSConfig) => Promise<WebSocket>;
