import { AuthConfig } from '../components/auth';
import { RtspConfig } from '../components/rtsp-session';
import { WSConfig } from '../components/ws-source/openwebsocket';
import { MediaTrack } from '../utils/protocols/isom';
import { RtspMp4Pipeline } from './rtsp-mp4-pipeline';
export interface Html5VideoConfig {
    ws?: WSConfig;
    rtsp?: RtspConfig;
    mediaElement: HTMLVideoElement;
    auth?: AuthConfig;
}
export declare class Html5VideoPipeline extends RtspMp4Pipeline {
    onSourceOpen?: (mse: MediaSource, tracks: MediaTrack[]) => void;
    onServerClose?: () => void;
    ready: Promise<void>;
    tracks?: MediaTrack[];
    private _src?;
    private readonly _sink;
    constructor(config: Html5VideoConfig);
    close(): void;
    get currentTime(): number;
    play(): Promise<void>;
    pause(): void;
}
