import { RtspConfig } from '../components/rtsp-session';
import { RtspPipeline } from './rtsp-pipeline';
/**
 * RtspMp4Pipeline
 *
 * A pipeline that can process H264/AAC RTP data, and converts it to streaming
 * MP4 format (ISO BMFF bytestream).
 *
 * The following handlers can be defined:
 * - all handlers from the RtspPipeline
 * - `onSync`: called when the NTP time of the first frame is known, with the
 *   timestamp as argument (the timestamp is UNIX milliseconds)
 */
export declare class RtspMp4Pipeline extends RtspPipeline {
    onSync?: (ntpPresentationTime: number) => void;
    private readonly _mp4Muxer;
    constructor(rtspConfig?: RtspConfig);
    get bitrate(): number[];
    get framerate(): number[];
}
