import { ServerOptions, WebSocketServer } from 'ws';
import { Pipeline } from './pipeline';
interface TcpWsConfig {
    readonly wsOptions?: ServerOptions;
    readonly rtspHost?: string;
}
/**
 * TcpWsProxyPipeline
 *
 * A (two-component) pipeline that listens for WebSocket connections and
 * connects them to another server over TCP. This can be used as a WebSocket
 * proxy for an RTSP server.
 */
export declare class TcpWsProxyPipeline extends Pipeline {
    wss: WebSocketServer;
    constructor(config?: TcpWsConfig);
}
export {};
