import { AuthConfig } from '../components/auth';
import { RtspConfig } from '../components/rtsp-session';
import { WSConfig } from '../components/ws-source/openwebsocket';
import { Sdp } from '../utils/protocols';
import { RtspPipeline } from './rtsp-pipeline';
export interface TransformConfig {
    ws?: WSConfig;
    rtsp?: RtspConfig;
    auth?: AuthConfig;
}
/**
 * WsSdpPipeline
 *
 * Pipeline requesting an SDP object from an RTSP server and then
 * immediately tears down the RTSP session.
 */
export declare class WsSdpPipeline extends RtspPipeline {
    onServerClose?: () => void;
    ready: Promise<void>;
    private _src?;
    constructor(config: TransformConfig);
    close(): void;
    get sdp(): Promise<Sdp>;
}
